%define modname moksha.common

Name:           python-moksha-common
Version:        1.2.4
Release:        %mkrel 2
Summary:        Common components for Moksha

Group:          Development/Python
License:        ASL 2.0 or MIT
URL:            http://pypi.python.org/pypi/moksha.common
Source0:        http://pypi.python.org/packages/source/m/%{modname}/%{modname}-%{version}.tar.gz

BuildArch:      noarch

BuildRequires:  python-devel
BuildRequires:  python-setuptools
BuildRequires:  python-nose
BuildRequires:  python-mock
BuildRequires:  python-decorator
BuildRequires:  python-kitchen
BuildRequires:  python-pytz
BuildRequires:  python-six
BuildRequires:  python3-devel
BuildRequires:  python3-setuptools
BuildRequires:  python3-nose
BuildRequires:  python3-mock
BuildRequires:  python3-decorator
BuildRequires:  python3-kitchen
BuildRequires:  python3-pytz
BuildRequires:  python3-six

%description
Common components for Moksha.

%package -n python3-moksha-common
Summary:        Common components for Moksha
Group:          Development/Python

%description -n python3-moksha-common
Common components for Moksha.

%prep
%setup -q -n %{modname}-%{version}
rm -rf *.egg*
cp -a . %{py3dir}


%build
%py2_build
pushd %{py3dir}
%py3_build
popd


%install
pushd %{py3dir}
%py3_install
mv %{buildroot}/%{_bindir}/moksha %{buildroot}/%{_bindir}/python3-moksha
popd
%py2_install


%check
pushd %{py3dir}
%{__python3} setup.py test
popd
%{__python2} setup.py test


%files
%doc README COPYING AUTHORS
%{python2_sitelib}/moksha/
%{python2_sitelib}/%{modname}-%{version}*
%{_bindir}/moksha


%files -n python3-moksha-common
%doc README COPYING AUTHORS
%{python3_sitelib}/moksha/
%{python3_sitelib}/%{modname}-%{version}*
%{_bindir}/python3-moksha


%changelog
* Sat Feb 20 2016 umeabot <umeabot> 1.2.4-2.mga6
+ Revision: 972473
- Mageia 6 Mass Rebuild

* Sun Nov 08 2015 philippem <philippem> 1.2.4-1.mga6
+ Revision: 898882
- update to 1.2.4, add Python3

* Wed Oct 15 2014 umeabot <umeabot> 1.2.3-4.mga5
+ Revision: 742459
- Second Mageia 5 Mass Rebuild

* Sat Sep 27 2014 tv <tv> 1.2.3-3.mga5
+ Revision: 729091
- rebuild for missing pythoneggs deps

* Tue Sep 16 2014 umeabot <umeabot> 1.2.3-2.mga5
+ Revision: 688157
- Mageia 5 Mass Rebuild

* Mon Jun 23 2014 philippem <philippem> 1.2.3-1.mga5
+ Revision: 638994
- update to 1.2.3

  + pterjan <pterjan>
    - Rebuild for new Python

* Sat Feb 22 2014 philippem <philippem> 1.2.1-1.mga5
+ Revision: 595631
- imported package python-moksha-common

